package dev.aiti.calculator;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageView;
import android.util.Log;

public class BaseActivity extends Activity {
    private final String APPID = "AITI.CALC";

    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        String themeId = Util.getPreference("app_theme", String.valueOf(R.style.LightTheme));
        setTheme(Integer.parseInt(themeId));
    }

    @Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle item selection
        switch (item.getItemId()) {
	        case R.id.action_settings:
	    		startActivity(new Intent(this, SettingsActivity.class));
	        	return true;
            case R.id.action_toggle_picture:
                ImageView pic = (ImageView) findViewById(R.id.bg_pic);
                if (pic != null) {
                    pic.setVisibility(pic.getVisibility() == View.VISIBLE? View.INVISIBLE: View.VISIBLE);
                }
                return true;
            default:
                return super.onOptionsItemSelected(item);
        }
    }

    @Override
    protected void onResume() {
        super.onResume();
        Log.d(APPID, String.valueOf(MyApplication.scheduledRestart));
        if(MyApplication.scheduledRestart) {
            MyApplication.scheduledRestart = false;
            Intent i = getBaseContext().getPackageManager().getLaunchIntentForPackage( getBaseContext().getPackageName() );
            i.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
            startActivity(i);
        }
    }

}
